OrdersOrder Drafts
Create order draft
POST
/v1/order-draftsCreate order draft. A successful request returns HTTP 201 with the documented response body.
Authorization
bearerAuth AuthorizationBearer <token>
OAuth2 access token issued by Ecomiq Auth.
In: header
Header Parameters
x-Store-Id?string
Store the request acts on. Not needed when the token is bound to a store.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/v1/order-drafts" \ -H "x-Store-Id: <store-id>" \ -H "Authorization: Bearer <token>" \ -H "Content-Type: application/json" \ -d '{ "currencyCode": "PEN", "customerId": "7204558912004325301", "cartId": "7204558912004325301", "email": "andrea@example.com", "phone": "+51987654321", "firstName": "Andrea", "lastName": "Ramos", "identificationType": "example", "identificationNumber": "example", "entityTaxId": "7204558912004325301", "entityName": "Comercial Lima SAC", "source": "example", "notes": "Example note." }'{ "id": "7204558912004325301"}